> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chartbrew.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Team

> Create a new team

This endpoint creates a new team with the owner determined by the authentication token used.


## OpenAPI

````yaml POST /team
openapi: 3.0.1
info:
  title: Chartbrew API reference
  description: The OpenAPI specification for Chartbrew
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.chartbrew.com
security:
  - bearerAuth: []
paths:
  /team:
    post:
      description: Create a new team
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTeam'
      responses:
        '200':
          description: Team created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Team'
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  schemas:
    CreateTeam:
      type: object
      properties:
        name:
          type: string
        showBranding:
          type: boolean
        allowReportRefresh:
          type: boolean
        allowReportExport:
          type: boolean
    Team:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        TeamRoles:
          type: array
          items:
            $ref: '#/components/schemas/TeamRole'
        showBranding:
          type: boolean
        allowReportRefresh:
          type: boolean
        allowReportExport:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    TeamRole:
      type: object
      properties:
        id:
          type: integer
        team_id:
          type: integer
        user_id:
          type: integer
        role:
          type: string
        projects:
          type: array
          items:
            type: string
        canExport:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````